import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-08 15:27
 */
export interface PpMobileWhiteLot{
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
}
export class PpMobileWhiteLotMI{ 
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场ID');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-08 15:27
 */
export interface PpMobileUserLog{
    /**
    * ID
    * @type { string }
    */
    id?: string;
    /**
    * 用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 手机号
    * @type { string }
    */
    phone?: string;
    /**
    * 抵扣积分
    * @type { number }
    */
    points?: number;
    /**
    * 积分类型：MOBILE 移动积分；CY 畅游积分
    * @type { string }
    */
    pointType?: string;
    /**
    * 移动积分兑换订单号
    * @type { string }
    */
    mobileOrderId?: string;
    /**
    * 畅游积分订单号
    * @type { string }
    */
    cyOrderId?: string;
    /**
    * 积分抵扣订单支付状态：00 成功；10 超时； 01超时后成功；02 超时后失败
    * @type { string }
    */
    payState?: string;
    /**
    * 是否发券：Y 发券成功；N 发券失败
    * @type { string }
    */
    isCoupon?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
}
export class PpMobileUserLogMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','ID');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','用户ID');
    }
    static get PHONE(): FieldInfo{  
        return new FieldInfo('phone','手机号');
    }
    static get POINTS(): FieldInfo{  
        return new FieldInfo('points','抵扣积分');
    }
    static get POINT_TYPE(): FieldInfo{  
        return new FieldInfo('pointType','积分类型：MOBILE 移动积分；CY 畅游积分');
    }
    static get MOBILE_ORDER_ID(): FieldInfo{  
        return new FieldInfo('mobileOrderId','移动积分兑换订单号');
    }
    static get CY_ORDER_ID(): FieldInfo{  
        return new FieldInfo('cyOrderId','畅游积分订单号');
    }
    static get PAY_STATE(): FieldInfo{  
        return new FieldInfo('payState','积分抵扣订单支付状态：00 成功；10 超时； 01超时后成功；02 超时后失败');
    }
    static get IS_COUPON(): FieldInfo{  
        return new FieldInfo('isCoupon','是否发券：Y 发券成功；N 发券失败');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-08 15:27
 */
export interface PpMobileUserInfo{
    /**
    * 
    * @type { string }
    */
    userId?: string;
    /**
    * 手机号
    * @type { string }
    */
    phone?: string;
    /**
    * 移动积分
    * @type { number }
    */
    points?: number;
    /**
    * 畅由积分
    * @type { number }
    */
    cypoints?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class PpMobileUserInfoMI{ 
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','');
    }
    static get PHONE(): FieldInfo{  
        return new FieldInfo('phone','手机号');
    }
    static get POINTS(): FieldInfo{  
        return new FieldInfo('points','移动积分');
    }
    static get CYPOINTS(): FieldInfo{  
        return new FieldInfo('cypoints','畅由积分');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


